net.fortuna.ical4j.model.parameter

## Class Rsvp

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Parameter
    - - net.fortuna.ical4j.model.parameter.Rsvp

All Implemented Interfaces:
  Serializable

    public class Rsvp
    extends Parameter

$Id$ [18-Apr-2004] Defines an RSVP parameter.

Author:
  benfortuna
See Also:
  Serialized Form

### Field Summary

Fields
`static Rsvp` `FALSE` RSVP not required.
`static Rsvp` `TRUE` RSVP is required.

### Fields inherited from class net.fortuna.ical4j.model.Parameter

`ABBREV, ALTREP, CN, CUTYPE, DELEGATED_FROM, DELEGATED_TO, DIR, ENCODING, EXPERIMENTAL_PREFIX, FBTYPE, FMTTYPE, LANGUAGE, MEMBER, PARTSTAT, RANGE, RELATED, RELTYPE, ROLE, RSVP, SCHEDULE_AGENT, SCHEDULE_STATUS, SENT_BY, TYPE, TZID, VALUE, VVENUE`

### Constructor Summary

Constructors
Constructor and Description
`Rsvp(Boolean aValue)`
`Rsvp(String aValue)`

### Method Summary

Methods
`Parameter` `copy()` Deep copy of parameter.
`Boolean` `getRsvp()`
`String` `getValue()`

### Methods inherited from class net.fortuna.ical4j.model.Parameter

`equals, getName, hashCode, isQuotable, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TRUE

    public static final Rsvp TRUE

RSVP is required.

#### FALSE

    public static final Rsvp FALSE

RSVP not required.

### Constructor Detail

#### Rsvp

    public Rsvp(String aValue)

Parameters:
  `aValue` - a string representation of an RSVP

#### Rsvp

    public Rsvp(Boolean aValue)

Parameters:
  `aValue` - a boolean value

### Method Detail

#### getRsvp

    public final Boolean getRsvp()

Returns:
  Returns the rsvp.

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value

#### copy

    public final Parameter copy()

Deep copy of parameter.

Overrides:
  `copy` in class `Parameter`
Returns:
  new parameter